Package org.apache.groovy.runtime

# Class ObjectUtil

java.lang.Object
org.apache.groovy.runtime.ObjectUtil

public class ObjectUtil extends Object
Util for object's operations with checks

Since:
  4.0.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T`
  `cloneObject(T object)`
  Clone the specified object
  `static MethodHandle`
  `getCloneObjectMethodHandle()`
  Returns the method handle of `cloneObject(Object)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### cloneObject

    public static <T> T cloneObject(T object) throws Throwable
    Clone the specified object
    Type Parameters:
      `T` - the object type
    Parameters:
      `object` - the object to clone
    Returns:
      the cloned object
    Throws:
      `Throwable` - some exception or error
    Since:
      4.0.5

  - ### getCloneObjectMethodHandle

    public static MethodHandle getCloneObjectMethodHandle()
    Returns the method handle of `cloneObject(Object)`
    Returns:
      the method handle
    Since:
      4.0.5